version: "2"
options:
    compose-file-path: 'docker-compose.yml'
    compose-dev-file-path: 'docker-compose-macos.yml'

syncs:
    php-sync:
        notify_terminal: true

        src: ${APP_LOCAL_PATH}
        sync_strategy: 'native_osx'

        # You should only sync files that you really need on both the host and client side
        sync_args:
            - "-ignore='Name .gitignore'"
            - "-ignore='Path .idea'"
            - "-ignore='Path .git'"
            - "-ignore='Path var/*'"
            - "-ignore='Path docs/*'"
            - "-ignore='Path public/docs/*'"
            - "-ignore='BelowPath .git'"
            - "-ignore='Name *.log'"
